#
# spec file for package rubygem-rspec-mocks-3_5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-mocks-3_5
Version:        3.5.0
Release:        1.25
%define mod_name rspec-mocks
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -3_5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            https://github.com/rspec/rspec-mocks
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        RSpecs test double framework, with support for stubbing and mocking
License:        MIT
Group:          Development/Languages/Ruby

%description
rspec-mocks is a test-double framework for rspec with support for method stubs, fakes, and message expectations on generated test-doubles and real objects alike.
%prep

%build

%install
%gem_install \
  --doc-files="Changelog.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Thu Nov 16 2017 opensuse_buildservice@ojkastl.de
- created versioned gem for version 3.5
* Tue Jun 13 2017 coolo@suse.com
- updated to version 2.14.6
  see installed Changelog.md
  [#]## 2.14.6 development
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.14.5...v2.14.6)
  Bug Fixes:
  * Ensure `any_instance` method stubs and expectations are torn down regardless of
    expectation failures. (Sam Phippen)
  [#]## 2.14.5 / 2014-02-01
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.14.4...v2.14.5)
  Bug Fixes:
  * Fix regression that caused block implementations to not receive all
    args on 1.8.7 if the block also receives a block, due to Proc#arity
    reporting `1` no matter how many args the block receives if it
    receives a block, too. (Myron Marston)
* Mon May 29 2017 opensuse_buildservice@ojkastl.de
- changed package name with suffix -2_14, renamed spec and changes file
* Tue May 23 2017 opensuse_buildservice@ojkastl.de
- changed naming of the package, as this is a versioned gem
* Tue Jul 15 2014 mrueckert@suse.com
- regenerate with new template
* Thu Jun 26 2014 mrueckert@suse.com
- move to SLE 12 packaging schema
* Sun Oct 20 2013 coolo@suse.com
- updated to version 2.14.4
  Bug Fixes:
  * Fix issue where unstubing methods on "any instances" would not
  remove stubs on existing instances (Jon Rowe)
  * Fix issue with receive(:message) do ... end precedence preventing
  the usage of modifications (`and_return` etc) (Jon Rowe)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.14.3
  Bug Fixes:
  * Fix stubbing some instance methods for classes whose hierarchy includes
  a prepended Module (Bradley Schaefer)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.14.2
  Bug Fixes:
  * Fix `as_null_object` doubles so that they return `nil` from `to_ary`
    (Jon Rowe).
  * Fix regression in 2.14 that made `stub!` (with an implicit receiver)
    return a test double rather than stub a method (Myron Marston).
  [#]## 2.14.1 / 2013-07-07
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.14.0...v2.14.1)
  Bug Fixes:
  * Restore `double.as_null_object` behavior from 2.13 and earlier: a
    double's nullness persisted between examples in earlier examples.
    While this is not an intended use case (test doubles are meant to live
    for only one example), we don't want to break behavior users rely
    on in a minor relase.  This will be deprecated in 2.99 and removed
    in 3.0. (Myron Marston)
  [#]## 2.14.0 / 2013-07-06
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.14.0.rc1...v2.14.0)
  Enhancements:
  * Document test spies in the readme. (Adarsh Pandit)
  * Add an `array_including` matcher. (Sam Phippen)
  * Add a syntax-agnostic API for mocking or stubbing a method. This is
    intended for use by libraries such as rspec-rails that need to mock
    or stub a method, and work regardless of the syntax the user has
    configured (Paul Annesley, Myron Marston and Sam Phippen).
  Bug Fixes:
  * Fix `double` so that it sets up passed stubs correctly regardless of
    the configured syntax (Paul Annesley).
  * Allow a block implementation to be used in combination with
    `and_yield`, `and_raise`, `and_return` or `and_throw`. This got fixed
    in 2.13.1 but failed to get merged into master for the 2.14.0.rc1
    release (Myron Marston).
  * `Marshal.dump` does not unnecessarily duplicate objects when rspec-mocks has
    not been fully initialized. This could cause errors when using `spork` or
    similar preloading gems (Andy Lindeman).
* Fri Apr 12 2013 coolo@suse.com
- updated to version 2.13.1
  Bug fixes
  * Allow a block implementation to be used in combination with
  `and_yield`, `and_raise`, `and_return` or `and_throw` (Myron Marston).
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.13.0
* Sun Feb  3 2013 coolo@suse.com
- updated to version 2.12.2
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.12.1...v.2.12.2)
  Bug fixes
  * Fix `and_call_original` to work properly for methods defined
  on a module extended onto an object instance (Myron Marston).
  * Fix `stub_const` with an undefined constnat name to work properly
  with constant strings that are prefixed with `::` -- and edge case
  I missed in the bug fix in the 2.12.1 release (Myron Marston).
  * Ensure method visibility on a partial mock is restored after reseting
  method stubs, even on a singleton module (created via `extend self`)
  when the method visibility differs between the instance and singleton
  versions (Andy Lindeman).
* Sat Dec 22 2012 coolo@suse.com
- updated to version 2.12.1
  Bug fixes
  * Fix `any_instance` to support `and_call_original`.
  (Myron Marston)
  * Properly restore stubbed aliased methods on rubies
  that report the incorrect owner (Myron Marston and Andy Lindeman).
* Tue Nov 13 2012 coolo@suse.com
- updated to version 2.12.0
  Enhancements
  * `and_raise` can accept an exception class and message, more closely
  matching `Kernel#raise` (e.g., `foo.stub(:bar).and_raise(RuntimeError, "message")`)
  (Bas Vodde)
  * Add `and_call_original`, which will delegate the message to the
  original method (Myron Marston).
  Deprecations:
  * Add deprecation warning when using `and_return` with `should_not_receive`
  (Neha Kumari)
* Sun Sep 23 2012 coolo@suse.com
- updated to version 2.11.3
  [full changelog](http://github.com/rspec/rspec-mocks/compare/v2.11.2...v2.11.3)
  Bug fixes
  * Fix `:transfer_nested_constants` option of `stub_const` so that it
  doesn't blow up when there are inherited constants. (Myron Marston)
  * `any_instance` stubs can be used on classes that override `Object#method`.
  (Andy Lindeman)
  * Methods stubbed with `any_instance` are unstubbed after the test finishes.
  (Andy Lindeman)
  * Fix confusing error message when calling a mocked class method an
  extra time with the wrong arguments (Myron Marston).
* Mon Aug 27 2012 coolo@suse.com
- updated to version 2.11.2
* Sun Jul 29 2012 coolo@suse.com
- initial package
